--- a/opt/google/chrome-beta/google-chrome-beta
+++ b/opt/google/chrome-beta/google-chrome-beta
@@ -39,6 +39,11 @@
 # We don't want bug-buddy intercepting our crashes. http://crbug.com/24120
 export GNOME_DISABLE_CRASH_DIALOG=SET_BY_GOOGLE_CHROME
 
+# Workaround to detect GNOME session variants until fix is backported to
+# older Chrome versions (fixed in 75.x):
+# https://chromium.googlesource.com/chromium/src/+/dd407d416fa941c04e33d81f2b1d8cab8196b633
+[[ ${XDG_CURRENT_DESKTOP} = *"GNOME"* ]] && export XDG_CURRENT_DESKTOP="GNOME"
+
 # Sanitize std{in,out,err} because they'll be shared with untrusted child
 # processes (http://crbug.com/376567).
 exec < /dev/null
